summaryrefslogtreecommitdiffstats
path: root/gettext-tools
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2003-02-14 15:35:33 +0000
committerBruno Haible <bruno@clisp.org>2009-06-23 12:09:48 +0200
commit97bd2d27aa4306fd7a8747450303f5420d5bf9ec (patch)
tree0f068746d6aa0cf5dff17809e1447bbb50f4a77d /gettext-tools
parent54d59dc86904b0bd2bdcdfe5003ebf1ddc8730d9 (diff)
downloadexternal_gettext-97bd2d27aa4306fd7a8747450303f5420d5bf9ec.zip
external_gettext-97bd2d27aa4306fd7a8747450303f5420d5bf9ec.tar.gz
external_gettext-97bd2d27aa4306fd7a8747450303f5420d5bf9ec.tar.bz2
Move tests/msgcomm-16 to gettext-tools/tests/msgcomm-16.
Diffstat (limited to 'gettext-tools')
-rwxr-xr-xgettext-tools/tests/msgcomm-16102
1 files changed, 102 insertions, 0 deletions
diff --git a/gettext-tools/tests/msgcomm-16 b/gettext-tools/tests/msgcomm-16
new file mode 100755
index 0000000..2cd8ac6
--- /dev/null
+++ b/gettext-tools/tests/msgcomm-16
@@ -0,0 +1,102 @@
+#! /bin/sh
+
+tmpfiles=""
+trap 'rm -fr $tmpfiles' 1 2 3 15
+
+# input files with different charsets.
+
+tmpfiles="$tmpfiles mcomm-test16.in1 mcomm-test16.in2"
+cat <<\EOF > mcomm-test16.in1
+# German message file for xyz.
+# Copyright (C) 1999, 2000, 2001 xyz.
+# Kab Def <ke@zzz.uucp>, 2000.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: xyz\n"
+"POT-Creation-Date: 2001-04-24 12:51:34+0200\n"
+"PO-Revision-Date: 2001-04-24 13:02+02:00\n"
+"Last-Translator: Kab Def <ke@zzz.uucp>\n"
+"Language-Team: German <i18n@zzz.uucp>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=ISO-8859-1\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Help text (HTML-like) START
+#: clients/inst_ask_config.ycp:119
+msgid ""
+"Congratulations!"
+msgstr ""
+"Glückwunsch!"
+EOF
+
+cat <<\EOF > mcomm-test16.in2
+# German message file for xyz.
+# Copyright (C) 1999, 2000, 2001 xyz.
+# Kab Def <ke@zzz.uucp>, 2000.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: xyz\n"
+"POT-Creation-Date: 2001-04-24 12:51:34+0200\n"
+"PO-Revision-Date: 2001-04-24 13:02+02:00\n"
+"Last-Translator: Kab Def <ke@zzz.uucp>\n"
+"Language-Team: German <i18n@zzz.uucp>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Remind user of the login name he chose
+#: clients/inst_ask_config.ycp:72
+#, ycp-format
+msgid "You can log in as \"%1\"."
+msgstr "Sie können sich als \"%1\" einloggen."
+EOF
+
+tmpfiles="$tmpfiles mcomm-test16.out mcomm-test16.err"
+rm -f mcomm-test16.out
+
+: ${MSGCOMM=msgcomm}
+LC_MESSAGES=C LC_ALL= \
+${MSGCOMM} --more-than=0 -o mcomm-test16.out \
+ mcomm-test16.in1 mcomm-test16.in2 >mcomm-test16.err 2>&1
+result=$?
+cat mcomm-test16.err | grep -v 'warning: .* encodings' | grep -v '^ '
+test $result = 0 || { rm -fr $tmpfiles; exit 1; }
+
+tmpfiles="$tmpfiles mcomm-test16.ok"
+cat << \EOF > mcomm-test16.ok
+# German message file for xyz.
+# Copyright (C) 1999, 2000, 2001 xyz.
+# Kab Def <ke@zzz.uucp>, 2000.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: xyz\n"
+"POT-Creation-Date: 2001-04-24 12:51:34+0200\n"
+"PO-Revision-Date: 2001-04-24 13:02+02:00\n"
+"Last-Translator: Kab Def <ke@zzz.uucp>\n"
+"Language-Team: German <i18n@zzz.uucp>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Help text (HTML-like) START
+#: clients/inst_ask_config.ycp:119
+msgid "Congratulations!"
+msgstr "Glückwunsch!"
+
+#. Remind user of the login name he chose
+#: clients/inst_ask_config.ycp:72
+#, ycp-format
+msgid "You can log in as \"%1\"."
+msgstr "Sie können sich als \"%1\" einloggen."
+EOF
+
+: ${DIFF=diff}
+${DIFF} mcomm-test16.ok mcomm-test16.out
+result=$?
+
+rm -fr $tmpfiles
+
+exit $result